%define name kmikmod
%define version 2.0
%define release 1
%define rh rh5x
%define qt qt >= 1.41 qt-egcs-10x
%define redhat redhat-release  
Name: %{name}
Version: %{version}
Release: %{release}
Summary: KMikMod is a multithreaded moduleplayer for the K Desktop Environment
Group: X11/KDE/Multimedia
BuildRoot: /tmp/realhot_%{name}
Copyright: GPL
Icon: kmikmod.gif
Source: %{name}-%{version}.tgz
Distribution: KDE
Packager: Kenny Lim <kenny@predawnia.org>
Requires: %{qt} %{redhat} kdesupport-%{rh} kdelibs-%{rh} 

%description
KMikMod is a multithreaded moduleplayer for the K Desktop Environment (KDE)

%prep
rm -fr $RPM_BUILD_ROOT
%setup -n kmikmod 

%build
export KDEDIR=/opt/kde
CC=egcs ./configure --prefix=$KDEDIR --with-install-root=$RPM_BUILD_ROOT --with-gnu-ld
make 

%install
make install

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.%{name}
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -fr $RPM_BUILD_ROOT

%docdir /opt/kde/share/doc/HTML
%files -f ../file.list.%{name}
